Direct Publisher and Vimeo Pro

Greetings from Joshua Tree,

I’m a newbie, and thought Vimeo Pro would be a good hosting platform for a public Direct Publisher channel for our travel series. But after weeks of going back and forth with both Vimeo and Roku tech support, my problems are still unresolved, so here I am…

We have a regional travel show produced for PBS here in southern California. We’ve produced two seasons of episodes, extras (music performances, full interviews, features), and are preparing for our third season. I need to organize our content on our Direct Publisher channel so that there can be categories like Season 1, Season 2, Season 3, Extras, etc. But it doesn’t appear to be possible using Vimeo Pro, according to tech support.

We’re using a Vimeo showcase for our content for our Direct Publisher channel. We are required to choose a genre for the showcase before we can create the URL feed for the Roku channel. But then, videos upload fine, but the only category choices there are on Roku are the Vimeo genres, and they apply to all videos in the showcase, which means there’s no organization of videos and they show up in every category we create.

Is that right? Is it really impossible to organize content into Roku channel categories with Vimeo Pro? Any suggestions will be welcome. Thank you!

My suggestion, ask Baradanikto about his Direct Publisher building software. I believe its just a data entry of inputs such as (Logo URL, Video URL, Video Name, Video Description, Thumbnail etc), then it compiles all the videos data and exports it to the JSON or MRSS feed that you need to build a DP channel the right way. I’d never heard of this Vimeo builder but people seem to be using it, and it seems woefully limited. You could even host the JSON on myjson.com (simple copy & paste).

With DP you can have 15 categories, with I believe 40 videos per category. So you would just organize it with Category ‘Season 1’ ‘Season 2’ etc, with all the episodes per season.

Thanks for the suggestions. I think Vimeo isn’t interested in fixing the problem of categories and tags on their end with Vimeo Pro, because they want to push their $500 a month package instead. Then, Roku doesn’t seem interested in fixing it on their end either and says it has to be fixed on Vimeo’s end. The end result has been (for me, anyway), that I use the feed URL for the showcase with our content and only the stock genres chosen in Vimeo are available as tags for creating categories in Roku Direct Publisher, but since the genre(s) are applied to all videos from the showcase, all videos go into all categories and there’s no category organization possible, which, of course, isn’t acceptable.

The WP Smart TV app seems promising. It means I need to set up a WP website, use the Rovidx WP Smart TV plug-in, and then theoretically, it will work without me having to learn to code, etc. I wish DP just allowed me to create categories using the actual tags from Vimeo, but I guess that’s just not possible. Thanks!

Instant TV Channel will allow you to import Vimeo Showcases and Vimeo Direct Publisher feeds into either Direct Publisher feeds or into full-featured SDK channels. After the import you can assign categories or re-arrange the content into new categories. No coding required in either case. Not free though, it’s $5 to $50 per month… but hey, that’s better than $500 per month :slightly_smiling_face:

@37mediagroup - The actual limitations (from the Roku partner success site) are:

There is a limit of:

  • 25 categories (rows)

  • 40 items per category (row)
    “items” does not refer to a single video. Think of it as an “object”. Using a “series” object, you can have multiple videos per “item”.

It would seem that currently the Vimeo Showcase feature is limited to one category no matter how many different genres you select. I’ve tried editing tags and categories in a few of my Vimeo videos, but they do not appear when trying to build the categories in Roku DP.

A workaround if you didn’t want to pay for an additional service would be to open the JSON feed that Vimeo showcase provides in Firefox browser, then copy and paste it into a JSON editor like http://myjson.com and use that URL for your DP channel feed.

A little time consuming, especially if you have a lot of videos to edit, but it will save you from having to pay for a second source if you don’t have the budget.

I have this same problem. We have “seasons” you could say as well… 25 episodes or so per year. I also have found that neither Roku nor Vimeo want to “work together” to fix this. 40 definitely limits us. I suggested allowing “sub channels” in Showcases. Hopefully that will happen someday. Yes, I agree, that $500 per month is way too much!

Please forget about Vimeo Pro. Get a CDN and make your life easy. You do not need to pay fixed monthly payments. I use a really affordable one.

Hello Joshua. I’m a developer on Roku. I own two channels called “Gallery for products” and “Events around the world” you can check to confirm. The platform I uses to create my feed is called TvBoss Fire. It will help you to organize your videos and publish it live on roku. I can also help you to create a channel and manage it on Roku. Here is the link to get an account and understand how it works “https://jvz4.com/c/1083613/324644” or you chat me up to discuss on Hangout at hightekhalogen@gmail.com

I hope this helps.

Thanks

Does anyone who works for Roku ever read these forums? I’d love to hear straight from them whether or not they are doing this on purpose or if they are considering fixing this problem. We are boxed in and it’s not right. We pay for Vimeo Pro already and this should be something that is included in the subscription in my humble opinion.

@AaronMSpelling Yes, those are the limits according to Roku Partner Success.

The issue is on the Vimeo side. The tags do not populate into the JSON feed that Roku ingests. If the individual video tags populated into the feed, you could create the necessary categories in Roku. The only solution at this point is to manually adjust the feed as suggested earlier in this thread.

I know a few people at Vimeo and am making this point.

Question from an earlier reply what is your Direct Publisher building software? Kind of new to the whole Roku Direct Publisher and currently a new member to the forums. But wanting to put categories on my feed while using Vimeo Pro showcase. Anyway you could shoot me over some info?

@JohnnyR1 The location of my channel building software is in my signature at the bottom of all of my posts.

We are just using Vimeo, which does NOT currently allow sub categories to put into playlists. That’s the problem we have. It can only put the most recent videos in there, because of the limit.

Fellow publishers, I found a workaround!!

It does not require coding, but basic knowledge of using postman to make vimeo-api call is a must.

  1. Organize videos that belong to a category in single vimeo showcase. For example, you should have 3 showcases if you have videos that falls under Season 1, Season 2, and Season 3.
  2. Do no select any Genre under Showcases → {Season 1} → TV apps → Roku. Ignore Genre(select at lease one), it does not matter.
  3. Use postman, make a vimeo-api call. PATCH https://api.vimeo.com/me/albums/{album_id}
    1. album_id is the showcase id. If the feed url is https://vimeo.com/showcase/911/feed/roku/05e60fc9fb, then album_id is 911, and your PATCH request url should be https://api.vimeo.com/me/albums/911

    2. For Authorization, make sure to use a Bearer-Token that has Private+Edit permissions. You can create an app and generate access token for that app at https://developer.vimeo.com/apps.

    3. PATCH request body should contain json like below, “roku_genres” maps to a list, so you can have multiples like “season1”, “real estate”

      • {
        “roku_genres”: [
        “season1”,
        “real estate”
        ]
        }
    4. After a successful PATCH request, you shall inspect the genres added by querying the showcase feed url. It should return a feed contains followings or similar.

      • “genres”: [
        “season 1”,
        “real estate”
        ],
        “tags”: [
        “season 1”,
        “real estate”
        ],
    5. Enjoy

Roku will not allow you to make multiple Showcases for “seasons”. We tried and they send an email telling us to stop.

One of our clients had the same problem, using Vimeo and Roku Direct Publisher, no tags, categories, playlists, seasons, ad breaks or update the feed without coding.

That’s why we developed OTTfeed.com it’s All-in-one feed management system for Roku Direct Publisher, Roku Channel and custom OTT apps.

Ottfeed sits between Vimeo and Roku, this will allow you to import Vimeo metadata and add tags, cast, seasons, episodes, ad breaks, links to background images, posters, trickplay files etc. all in one centralize place.

Go to OTTfeed and request a demo, I’ll give a quick walkthrough our system.

Looks interesting @sattun . Unfortunately, the pricing is prohibitive. It costs 3X more than what I we are paying Vimeo Plus just to be able to organize my Vimeo content… just doesn’t make sense.

I believe there is a setting to get your categories from your feed file. An example of the beginning of a feed that does this is below:

{
  "providerName": "CHANNEL_NAME",
  "lastUpdated": "2020-03-01T16:00:00+00:05",
  "language": "en",
  "categories": [
    {
      "name": "Featured Content",
      "playlistName": "featured content",
      "order": "manual"
    },
    {
      "name": "CATEGORY_2_Name",
      "playlistName": "PLAYLIST_NAME_1",
      "order": "manual"
    },
    {
      "name": "CATEGORY_3_Name",
      "playlistName": "PLAYLIST_NAME_2",
      "order": "manual"
    },
    {
      "name": "CATEGORY_4_Name",
      "playlistName": "PLAYLIST_NAME_3",
      "order": "manual"
    },
        {
      "name": "CATEGORY_5_Name",
      "playlistName": "PLAYLIST_NAME_4",
      "order": "manual"
    },
    {
      "name": "CATEGORY_6_Name",
      "playlistName": "PLAYLIST_NAME_5",
      "order": "manual"
    },
    {
      "name": "CATEGORY_7_Name",
      "playlistName": "PLAYLIST_NAME_6",
      "order": "manual"
    },
    {
      "name": "CATEGORY_8_Name",
      "playlistName": "PLAYLIST_NAME_7",
      "order": "manual"
    }
  ],
  "playlists": [
    {
      "name": "PLAYLIST_NAME_1",
      "itemIds": [
        "ssa_0104",
        "ss_0102",
        "sr_1504",
        "tt_0102",
        "ss_1702"
      ]
    },
    {
      "name": "PLAYLIST_NAME_2",
      "itemIds": [
        "sr_1401",
        "sr_1402",
        "sr_1403",
        "sr_1404"
      ]
    },
    {
      "name": "PLAYLIST_NAME_3",
      "itemIds": [
        "sr_1501",
        "sr_1502",
        "sr_1503",
        "sr_1504"
      ]
    },
    {
      "name": "PLAYLIST_NAME_4",
      "itemIds": [
        "sr_1601",
        "sr_1602",
        "sr_1603",
        "sr_1604"
      ]
    },
     {
      "name": "PLAYLIST_NAME_5",
      "itemIds": [
        "sr_1701",
        "sr_1702",
        "sr_1703"
      ]
    },
    {
      "name": "PLAYLIST_NAME_6",
      "itemIds": [
        "ss_0101",
        "ss_0102",
        "ss_0103",
        "ss_0104",
        "ss_0105",
        "ss_0106"
      ]
    },
    {
      "name": "PLAYLIST_NAME_7",
      "itemIds": [
        "ssa_0101",
        "ssa_0102",
        "ssa_0103",
        "ssa_0104",
        "ssa_0105",
        "ssa_0106",
        "ssa_0107",
        "ssa_0108"
      ]
    },
    {
      "name": "PLAYLIST_NAME_8",
      "itemIds": [
        "tt_0101",
        "tt_0102",
        "tt_0103",
        "tt_0106",
        "tt_0110",
        "tt_0115"
      ]
    }
  ],
"shortFormVideos": [
            {
              "id": "sr_1401",
              "title": "VIDEO_TITLE",
              "content": {
                "dateAdded": "2017-04-01T00:00:00+00:05",
                "videos": [
                  {
                    "url": "https://player.vimeo.com/external/LONG_STRING_OF_CHARACTERS",
                    "quality": "HD",
                    "videoType": "HLS"
                  }
                ],
                "duration": 2929
              },
              "thumbnail": "URL_OF_THUMBNAIL.png",
              "shortDescription": "Spring Edition",
              "releaseDate": "2017-04-01T00:00:00+00:05"
            },

.....and then the rest of the video objects in the Short Form Video array (don't forget the closing bracket for the array and closing brace for the object)

] 
}